/*
    Предрейсовые осмотры - мобильное приложение
    Стили компонента переключателя
*/

//---------------------
//Подключение библиотек
//---------------------

const { StyleSheet } = require('react-native');
const { APP_COLORS } = require('../../config/theme');
const { responsiveSpacing } = require('../../utils/responsive');

//-----------
//Тело модуля
//-----------

const styles = StyleSheet.create({
    container: {
        flexDirection: 'row',
        alignItems: 'center',
        justifyContent: 'space-between',
        paddingVertical: responsiveSpacing(2)
    },
    containerDisabled: {
        opacity: 0.5
    },
    label: {
        flex: 1,
        marginRight: responsiveSpacing(3),
        color: APP_COLORS.textPrimary
    },
    labelDisabled: {
        color: APP_COLORS.textTertiary
    }
});

//----------------
//Интерфейс модуля
//----------------

module.exports = styles;
